Name:           gyachi
Version:        1.1.0
Release:        7%{?dist}
Summary:        A Yahoo! chat client with Webcam and voice support

Group:          Applications/Internet
License:        GPLv2
URL:            http://gyachi.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0: configure.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gtk2-devel libXt-devel alsa-lib-devel 
BuildRequires: gettext-devel gtkhtml2-devel libtool libtool-ltdl-devel
BuildRequires: jasper-devel expat-devel
BuildRequires: desktop-file-utils ImageMagick


%description
GYachI is a Linux client for Yahoo! Messenger protocol, 
written using GTK+ GUI toolkit. This package includes both 
the external voice chat program, GYVoice, and the 
external webcam program, GyachI-Webcam. 
In addition, this package includes GyachI-Broadcaster for 
sending webcam streams.

%package        plugin-blowfish
Summary:        Blowfish encryption plugin for GyachI
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}

%description plugin-blowfish
Blowfish encryption plugin for GyachI

%package        plugin-gpgme
Summary:        GPGMe encryption plugin for GyachI
Group:          Applications/Internet
BuildRequires:  gpgme-devel
Requires:       %{name} = %{version}-%{release}

%description plugin-gpgme
GPGMe encryption plugin for GyachI

%package        plugin-mcrypt
Summary:        MCrypt encryption plugin for GyachI
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}
Requires:       libmcrypt >= 2.5.0
Buildrequires:  libmcrypt-devel >= 2.5.0
      
%description plugin-mcrypt
MCrypt encryption plugin for GyachI

%package        plugin-photosharing
Summary:        Photo sharing plugin for GyachI
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}

%description plugin-photosharing
Photo sharing plugin for GyachI

%package        plugin-xmms
Summary:        XMMS plugin for GyachI
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}
Requires:       xmms >= 1.2.0
Buildrequires:  xmms-devel >= 1.2.0

%description plugin-xmms
XMMS plugin for GyachI


%prep
%setup -q
%patch0 -p1


%build
./autogen.sh

%ifarch i386
%configure --disable-rpath --enable-v4l2
%else
%configure --disable-rpath --enable-v4l2 --disable-wine
%endif
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
%find_lang %{name}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
ln -sf ../%{name}/pixmaps/gyach-icon_48.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png
desktop-file-install --delete-original                   \
        --vendor fedora                              \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications       \
        --mode 0644                                      \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ABOUT-NLS ChangeLog doc/KNOWN_PROBLEMS-gyvoice.txt doc/KNOWN_PROBLEMS.txt doc/txt/COPYING doc/html/gyachi-help.html
%{_bindir}/%{name}*
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/%{name}-*
%dir %{_libdir}/%{name}/plugins


%files plugin-blowfish
%defattr(-,root,root,-)
%{_libdir}/%{name}/plugins/%{name}blowfish.so

%files plugin-gpgme
%defattr(-,root,root,-)
%{_libdir}/%{name}/plugins/%{name}gpgme.so

%files plugin-mcrypt
%defattr(-,root,root,-)
%{_libdir}/%{name}/plugins/%{name}mcrypt.so

%files plugin-photosharing
%defattr(-,root,root,-)
%{_libdir}/%{name}/plugins/%{name}photos.so

%files plugin-xmms
%defattr(-,root,root,-)
%{_libdir}/%{name}/plugins/%{name}xmms.so

%changelog
* Tue Feb 05 2007 Rahul Sundaram <sundaram@fedoraproject.org> - 1.1.0-7
- Fix directory ownership and timestamp issues highlighted by Mamoru Tasaka and Parag Nemade

* Tue Feb 05 2007 Rahul Sundaram <sundaram@fedoraproject.org> - 1.1.0-6
-  Apply upstream patch to make it build on all arch's

* Mon Feb 04 2007 Rahul Sundaram <sundaram@fedoraproject.org> - 1.1.0-5
- Add ExcludeArchs

* Mon Feb 04 2007 Rahul Sundaram <sundaram@fedoraproject.org> - 1.1.0-4
- Fix review as per Parag Nemade 

* Sun Feb 03 2007 Rahul Sundaram <sundaram@fedoraproject.org> - 1.1.0-3
- Initial spec file based on spec from Christopher Polyte (drpixel)
